
buttons = {}

function button_SPAWN(x, y, text, id)

	table.insert(buttons, {x = x, y = y, text = text, id = id})

end

function button_DRAW()
	
	for i,v in ipairs(buttons) do

		love.graphics.setColor(0, 0, 0)
		love.graphics.setFont(medium)
		love.graphics.print(v.text, v.x, v.y)

	end

end

function button_CLICK(x, y, button)
	
	for i,v in ipairs(buttons) do

		if x > v.x and 
		x < v.x + medium:getWidth(v.text) and 
		y > v.y and
		y < v.y + medium:getHeight() then

			if v.id == "quit" then
				love.event.push("quit")
			end

			if v.id == "start" then
				gamestate = "play"
			end

		end

	end

end