require "player"
require "map"
require "menu"

function love.load()
	gamestate = "menu"
	love.graphics.setBackgroundColor(255,255,255)
	medium = love.graphics.newFont(45)

	
	-- button Spawn
	button_SPAWN(100, 200, "Start", "start")
	button_SPAWN(100, 280, "Quit", "quit")

end

function love.update(dt)

	if gamestate == "playing" then
		player_MOVE(dt)
		map_COLLIDE()
	end

end

function love.draw()
	
	if gamestate == "playing" then
		player_DRAW()
	end
	if gamestate == "menu" then
		button_DRAW()
	end

end

function love.mousepressed(x, y, button)

	if gamestate == "menu" then
		button_CLICK(x, y, button)
	end

end

function love.mousereleased(x, y, button)



end

function love.keypressed(key, unicode)





end

function love.keyreleased(key, unicode)



end

function love.focus(f)



end

function love.quit()



end